Summary:        Wireless daemon for Linux
Name:           iwd
Version:        1.29
Release:        1%{?dist}
License:        LGPLv2+
URL:            https://iwd.wiki.kernel.org/
Source0:        https://www.kernel.org/pub/linux/network/wireless/%{name}-%{version}.tar.xz
BuildRequires:  asciidoc, python3-docutils, readline-devel
BuildRequires:  gcc, libtool, make
BuildRequires:  pkgconfig(dbus-1), pkgconfig(libsystemd), pkgconfig(ell) >= 0.43
Requires:       dbus
Requires:       systemd



%description
The daemon and utilities for controlling and configuring the Wi-Fi network
hardware.



%prep
%autosetup -p1



%build
%configure			\
	--enable-external-ell	\
	--enable-sim-hardcoded	\
	--enable-ofono		\
	--enable-wired		\
	--enable-hwsim		\
	--enable-tools

%make_build V=1



%install
%make_install
mkdir -p %{buildroot}%{_sharedstatedir}/iwd
mkdir -p %{buildroot}%{_sharedstatedir}/ead

rm %{buildroot}/usr/lib/systemd/network/80-iwd.link



%files
%license COPYING
%doc AUTHORS ChangeLog
%{_bindir}/iwctl
%{_bindir}/iwmon
%{_bindir}/hwsim
%{_libexecdir}/iwd
%{_libexecdir}/ead
%{_modulesloaddir}/pkcs8.conf
%{_unitdir}/ead.service
%{_unitdir}/iwd.service
%{_datadir}/dbus-1/system-services/net.connman.iwd.service
%{_datadir}/dbus-1/system-services/net.connman.ead.service
%{_datadir}/dbus-1/system.d/iwd-dbus.conf
%{_datadir}/dbus-1/system.d/ead-dbus.conf
%{_datadir}/dbus-1/system.d/hwsim-dbus.conf
%{_mandir}/man*/*
%{_sharedstatedir}/iwd
%{_sharedstatedir}/ead



%changelog
* Tue Nov 21 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.29-1
- initial